You are not logged in.

#1 2011-06-28 14:42:21

eherranzr
Member
Registered: 2011-06-28
Posts: 112

Problem installing or upgrading with Yaourt

Sorry for my English but I'm Spanish and I don't control to much ArchLinux neither.

I have a problem with Arch, maybe the only one I have and it is that mostly every time I try to install or upgrade a package with Yaourt I have a problem with permissions. For example:

==> Building and installing package
==> Creando el paquete: compat-wireless-patched 2.6.39_1-1 (mar jun 28 16:32:07 CEST 2011)
==> Resolviendo dependencias...
==> Verificando conflictos...
==> Obteniendo fuentes...
  -> Descargando compat-wireless-2.6.39-1.tar.bz2...
--2011-06-28 16:32:07--  http://www.orbit-lab.org/kernel/compat-wireless-2.6-stable/v2.6.39/compat-wireless-2.6.39-1.tar.bz2
Resolviendo www.orbit-lab.org... 128.6.192.131
Connecting to www.orbit-lab.org|128.6.192.131|:80... conectado.
Petición HTTP enviada, esperando respuesta... 200 OK
Longitud: 4333257 (4,1M) [application/x-bzip2]
Saving to: `compat-wireless-2.6.39-1.tar.bz2.part'

100%[=====================================================================================>] 4.333.257    310K/s   in 21s     

2011-06-28 16:32:28 (205 KB/s) - `compat-wireless-2.6.39-1.tar.bz2.part' saved [4333257/4333257]

  -> Se encontró mac80211.compat08082009.wl_frag+ack_v1.patch
  -> Se encontró channel-negative-one-maxim.patch
==> Validando el archivo fuente con sha1sums...
    compat-wireless-2.6.39-1.tar.bz2 ... Aprobado
    mac80211.compat08082009.wl_frag+ack_v1.patch ... Aprobado
    channel-negative-one-maxim.patch ... Aprobado
==> Descomprimiendo fuentes...
  -> Extrayendo compat-wireless-2.6.39-1.tar.bz2 con bsdtar
==> Iniciando build()...
patching file net/mac80211/tx.c
Hunk #1 succeeded at 785 (offset 108 lines).
patching file net/wireless/chan.c
Hunk #1 succeeded at 82 (offset 33 lines).
Hunk #2 succeeded at 134 (offset 55 lines).
make: execvp: ./scripts/check_config.sh: Permiso denegado
make: *** [.compat_autoconf_compat-wireless-v2.6.39-1] Error 127
==> ERROR: Se produjo un error en build().
    Cancelando...

Some parts are in Spanish but they're not useful for the problem.

But I try to build a package it always (always) produces an error. Look:

yaourt -Sb htop
==> Building htop from sources.

==> Retrieving PKGBUILD and local sources...
receiving file list ... done
./                                                                                                                                                                                              
ChangeLog                                                                                                                                                                                       
PKGBUILD                                                                                                                                                                                        
                                                                                                                                                                                                
sent 66 bytes  received 1342 bytes  148.21 bytes/sec
total size is 1172  speedup is 0.83
==> Edit PKGBUILD ? [y/N] ("A" to abort)
==> ------------------------------------
==> n

==> htop dependencies:
 - ncurses (already installed)
 - python2 (already installed)


==> Continue building htop ? [Y/n]
==> ------------------------------
==> 
==> Building and installing package
==> Creando el paquete: htop 0.9-1 (mar may 17 18:23:26 CEST 2011)
==> Resolviendo dependencias...
==> Verificando conflictos...
==> Obteniendo fuentes...
  -> Descargando htop-0.9.tar.gz...
--2011-05-17 18:23:26--  http://downloads.sourceforge.net/htop/htop-0.9.tar.gz
Resolviendo downloads.sourceforge.net... 216.34.181.59
Connecting to downloads.sourceforge.net|216.34.181.59|:80... conectado.
Petición HTTP enviada, esperando respuesta... 301 Moved Permanently
Localización: http://downloads.sourceforge.net/project/htop/htop/0.9/htop-0.9.tar.gz [siguiendo]
--2011-05-17 18:23:27--  http://downloads.sourceforge.net/project/htop/htop/0.9/htop-0.9.tar.gz
Reusing existing connection to downloads.sourceforge.net:80.
Petición HTTP enviada, esperando respuesta... 302 Found
Localización: http://kent.dl.sourceforge.net/project/htop/htop/0.9/htop-0.9.tar.gz [siguiendo]
--2011-05-17 18:23:28--  http://kent.dl.sourceforge.net/project/htop/htop/0.9/htop-0.9.tar.gz
Resolviendo kent.dl.sourceforge.net... 212.219.56.167
Connecting to kent.dl.sourceforge.net|212.219.56.167|:80... conectado.
Petición HTTP enviada, esperando respuesta... 200 OK
Longitud: 418767 (409K) [application/x-gzip]
Saving to: `htop-0.9.tar.gz.part'

100%[======================================================================================================================================================>] 418.767      140K/s   in 2,9s    

2011-05-17 18:23:31 (140 KB/s) - `htop-0.9.tar.gz.part' saved [418767/418767]

==> Validando el archivo fuente con md5sums...
    htop-0.9.tar.gz ... Aprobado
==> Descomprimiendo fuentes...
  -> Extrayendo htop-0.9.tar.gz con bsdtar
==> Iniciando build()...
/tmp/yaourt-tmp-emilio/abs-htop/./PKGBUILD: línea 22: ./configure: Permiso denegado (this means permission denied)
==> ERROR: Se produjo un error en build().
    Cancelando...
==> ERROR: Makepkg was unable to build htop.
==> Restart building htop ? [y/N]

Any solutions for this ******* permission problems?
Thank you

Offline

#2 2011-06-28 16:10:01

oboedad55
Member
From: Baku
Registered: 2011-04-05
Posts: 389

Re: Problem installing or upgrading with Yaourt

Are you running yaourt as root or normal user? If normal user, which is suggested, then do you have sudo installed? I'm sorry, but my Spanish disappeared after high school, so I can't figure out the exact error message.


Registered Linux user #436067

Offline

#3 2011-06-28 16:14:32

karol
Archivist
Registered: 2009-05-06
Posts: 25,431

Re: Problem installing or upgrading with Yaourt

You can run apps with LC_ALL=C to get messages in English:

LC_ALL=C yaourt -Sb htop

should work.

Offline

#4 2011-06-28 16:59:51

eherranzr
Member
Registered: 2011-06-28
Posts: 112

Re: Problem installing or upgrading with Yaourt

I run Yaourt as a normal user and I do have sudo installed

LC_ALL=C yaourt -Sb htop
==> Building htop from sources.

==> Retrieving PKGBUILD and local sources...
receiving file list ... done
./
ChangeLog
PKGBUILD
htop.c.patch

sent 85 bytes  received 2231 bytes  661.71 bytes/sec
total size is 2001  speedup is 0.86
==> Edit PKGBUILD ? [y/N] ("A" to abort)
==> ------------------------------------
==> n

==> htop dependencies:
 - ncurses (already installed)
 - python2 (already installed)


==> Continue building htop ? [Y/n]
==> ------------------------------
==> 
==> Building and installing package
==> Making package: htop 0.9-2 (Tue Jun 28 18:59:16 CEST 2011)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
  -> Downloading htop-0.9.tar.gz...
--2011-06-28 18:59:16--  http://downloads.sourceforge.net/htop/htop-0.9.tar.gz
Resolving downloads.sourceforge.net... 216.34.181.59
Connecting to downloads.sourceforge.net|216.34.181.59|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: http://downloads.sourceforge.net/project/htop/htop/0.9/htop-0.9.tar.gz [following]
--2011-06-28 18:59:16--  http://downloads.sourceforge.net/project/htop/htop/0.9/htop-0.9.tar.gz
Reusing existing connection to downloads.sourceforge.net:80.
HTTP request sent, awaiting response... 302 Found
Location: http://ovh.dl.sourceforge.net/project/htop/htop/0.9/htop-0.9.tar.gz [following]
--2011-06-28 18:59:17--  http://ovh.dl.sourceforge.net/project/htop/htop/0.9/htop-0.9.tar.gz
Resolving ovh.dl.sourceforge.net... 91.121.124.23, 91.121.125.23
Connecting to ovh.dl.sourceforge.net|91.121.124.23|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 418767 (409K) [application/x-gzip]
Saving to: `htop-0.9.tar.gz.part'

100%[=====================================================================================>] 418,767      270K/s   in 1.5s    

2011-06-28 18:59:19 (270 KB/s) - `htop-0.9.tar.gz.part' saved [418767/418767]

  -> Found htop.c.patch
==> Validating source files with md5sums...
    htop-0.9.tar.gz ... Passed
    htop.c.patch ... Passed
==> Extracting Sources...
  -> Extracting htop-0.9.tar.gz with bsdtar
==> Starting build()...
patching file htop.c
/tmp/yaourt-tmp-emilio/abs-htop/./PKGBUILD: line 27: ./configure: Permission denied
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Makepkg was unable to build htop.
==> Restart building htop ? [y/N]
==> -----------------------------

Last edited by eherranzr (2011-06-28 17:00:41)

Offline

#5 2011-06-28 19:17:53

falconindy
Developer
From: New York, USA
Registered: 2009-10-22
Posts: 4,095
Website

Re: Problem installing or upgrading with Yaourt

is /tmp a separate partition? Is it mounted with noexec or user?

Last edited by falconindy (2011-06-28 19:18:35)

Offline

#6 2011-06-28 20:23:38

bernarcher
Forum Fellow
From: Germany
Registered: 2009-02-17
Posts: 2,272

Re: Problem installing or upgrading with Yaourt

falconindy wrote:

is /tmp a separate partition? Is it mounted with noexec or user?

In short, what does "ls -la /tmp/yaourt-tmp-emilio" say?


To know or not to know ...
... the questions remain forever.

Offline

#7 2011-06-28 21:29:37

eherranzr
Member
Registered: 2011-06-28
Posts: 112

Re: Problem installing or upgrading with Yaourt

/tmp is on the same partition than the other folders (/etc /usr/ etc) and /home in another
and this is the output of "ls -la /tmp/yaourt-tmp-emilio"

total 0
drwxr-xr-x 25 emilio users  500 jun 28 18:58 .
drwxrwxrwt 17 root   root   420 jun 28 23:28 ..
drwxr-xr-x  4 emilio users  160 jun 28 18:59 abs-htop
drwxr-xr-x  2 emilio users  180 jun 28 16:22 aur-burg-bzr
drwxr-xr-x  2 emilio users   80 jun 28 16:22 aur-burg-emu
drwxr-xr-x  2 emilio users   80 jun 28 16:22 aur-cairo-ubuntu
drwxr-xr-x  2 emilio users  200 jun 28 16:22 aur-chromium-dev
drwxr-xr-x  4 emilio users  180 jun 28 16:32 aur-compat-wireless-patched
drwxr-xr-x  4 emilio users  200 jun 28 16:15 aur-compat-wireless-patched-daily
drwxr-xr-x  2 emilio users   80 jun 28 16:22 aur-conkyemail-bzr
drwxr-xr-x  2 emilio users   80 jun 28 16:22 aur-conky-lua
drwxr-xr-x  2 emilio users   60 jun 28 16:22 aur-fastuserswitch
drwxr-xr-x  2 emilio users   80 jun 28 16:22 aur-google-chrome-dev
drwxr-xr-x  2 emilio users   80 jun 28 16:22 aur-liboggz
drwxr-xr-x  2 emilio users   80 jun 28 16:22 aur-miro-nognome
drwxr-xr-x  2 emilio users   60 jun 28 16:22 aur-ogmrip-profiles
drwxr-xr-x  2 emilio users   60 jun 28 16:22 aur-packer
drwxr-xr-x  2 emilio users   60 jun 28 16:22 aur-psensor
drwxr-xr-x  2 emilio users  120 jun 28 16:22 aur-smplayer-svn
drwxr-xr-x  2 emilio users   80 jun 28 16:22 aur-sopcast-player
drwxr-xr-x  2 emilio users   60 jun 28 16:23 aur-stuntrally-git
drwxr-xr-x  2 emilio users   80 jun 28 16:23 aur-vlc-git
drwxr-xr-x  2 emilio users 1280 jun 28 18:58 orphans
drwx------  2 emilio users   40 jun 28 16:40 PKGDEST.ES0
drwx------  2 emilio users   40 jun 28 18:58 PKGDEST.Hnx

Offline

#8 2011-06-28 22:09:22

Miblo
Member
From: Manchester, UK
Registered: 2010-07-05
Posts: 154
Website

Re: Problem installing or upgrading with Yaourt

Do you have fakeroot installed? I seem to remember needing to install that when I started to install stuff from AUR with yaourt.


@archun: Intel® Core™ i5-4210M • [GPU] Intel® HD Graphics 4600 • [Kernel] linux-ck-haswell
Handmade.NetworkGitLab
The Life and Times of Miblo del Carpio

Offline

#9 2011-06-29 12:42:28

eherranzr
Member
Registered: 2011-06-28
Posts: 112

Re: Problem installing or upgrading with Yaourt

I have fakeroot installed, but I think that the problem is about permissions as I can install some packages (a few) and in the past I installed lots of packages without problems

Offline

#10 2011-06-29 12:50:50

karol
Archivist
Registered: 2009-05-06
Posts: 25,431

Re: Problem installing or upgrading with Yaourt

Maybe it's full?
https://bugs.archlinux.org/task/24279

This is just a wild guess, but can you try to build the packages in e.g. ~/foo?

Last edited by karol (2011-06-29 12:52:32)

Offline

#11 2011-06-29 12:59:36

eherranzr
Member
Registered: 2011-06-28
Posts: 112

Re: Problem installing or upgrading with Yaourt

Okey, I can do it, but how I do that? What is the command to build the package in another folder like /foo?

Offline

#12 2011-06-29 13:19:45

Miblo
Member
From: Manchester, UK
Registered: 2010-07-05
Posts: 154
Website

Re: Problem installing or upgrading with Yaourt

eherranzr wrote:

What is the command to build the package in another folder like /foo?

According to `man yaourt`, putting

--tmp ~/foo

somewhere in the command should do the trick.


@archun: Intel® Core™ i5-4210M • [GPU] Intel® HD Graphics 4600 • [Kernel] linux-ck-haswell
Handmade.NetworkGitLab
The Life and Times of Miblo del Carpio

Offline

#13 2011-06-29 13:26:56

falconindy
Developer
From: New York, USA
Registered: 2009-10-22
Posts: 4,095
Website

Re: Problem installing or upgrading with Yaourt

Or, you know, use official tools. makepkg is a wonderful thing.

Offline

#14 2011-06-29 13:34:26

hcjl
Member
From: berlin
Registered: 2007-06-29
Posts: 180
Website

Re: Problem installing or upgrading with Yaourt

does it work after rebooting? contents of temp will be deleted by that.

Last edited by hcjl (2011-06-29 13:35:03)

Offline

#15 2011-06-29 13:36:06

karol
Archivist
Registered: 2009-05-06
Posts: 25,431

Re: Problem installing or upgrading with Yaourt

hcjl wrote:

does it work after rebooting? contents of temp will be deletet by that.

I'm not sure about it. Have you read the bug report I linked to?

Offline

#16 2011-06-29 14:02:00

eherranzr
Member
Registered: 2011-06-28
Posts: 112

Re: Problem installing or upgrading with Yaourt

With the --tmp ~/foo option is ok. Just at the end this is what appears:

make[1]: Leaving directory `/usr/src/linux-2.6.39-ARCH'
Warning:
You may or may not need to update your initframfs, you should if
any of the modules installed are part of your initramfs. To add
support for your distribution to do this automatically send a
patch against ./scripts/update-initramfs. If your distribution does not require this
send a patch against the '/usr/bin/lsb_release -i -s': n/a
tag for your distribution to avoid this warning.
==> Tidying install...
  -> Purging other files...
  -> Compressing man and info pages...
  -> Stripping unneeded symbols from binaries and libraries...
==> Creating package...
  -> Generating .PKGINFO file...
  -> Adding install file...
  -> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: compat-wireless-patched 2.6.39_1-1 (Wed Jun 29 15:59:52 CEST 2011)

==> Continue installing compat-wireless-patched ? [Y/n]
==> [v]iew package contents [c]heck package with namcap
==> ---------------------------------------------------
==> y

Password: 
resolving dependencies...
looking for inter-conflicts...

Targets (1): compat-wireless-patched-2.6.39_1-1 [2.62 MB]

Total Download Size:    0.00 MB
Total Installed Size:   3.09 MB

Proceed with installation? [Y/n] y
(1/1) checking package integrity                                             [-------------------------------------------] 100%
(1/1) checking for file conflicts                                            [-------------------------------------------] 100%
(1/1) installing compat-wireless-patched                                     [-------------------------------------------] 100%
depmod will prefer updates/ over kernel/ -- OK!

Module ath_pci not detected -- this is fine
/tmp/alpm_Z96uSh/.INSTALL: line 3: msg: command not found
/tmp/alpm_Z96uSh/.INSTALL: line 4: msg: command not found
error: command failed to execute correctly

So, it seems to build the package correctly. What do I have to do with /tmp so I don't need to stole all the temporary files in /foo ?

Offline

#17 2011-06-29 15:15:37

eherranzr
Member
Registered: 2011-06-28
Posts: 112

Re: Problem installing or upgrading with Yaourt

This is the problem I have when I upgrade some packages:

==> Continue building burg-bzr ? [Y/n]
==> ----------------------------------
==> 
==> Building and installing package
==> Determining latest bzr revision...
You have not informed bzr of your Launchpad ID, and you must do this to
write to Launchpad or access private data.  See "bzr help launchpad-login".
  -> Version found: 1844
==> Making package: burg-bzr 1844-2 (Wed Jun 29 17:24:19 CEST 2011)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
  -> Found burg.default
  -> Found arch-burg-detection-folding.patch
  -> Found 20_memtest86+
  -> Found update-burg
==> Validating source files with sha256sums...
    burg.default ... Passed
    arch-burg-detection-folding.patch ... Passed
    20_memtest86+ ... Passed
    update-burg ... Passed
==> Extracting Sources...
==> Entering fakeroot environment...
==> Starting build()...
==> Connecting to the server....
You have not informed bzr of your Launchpad ID, and you must do this to
write to Launchpad or access private data.  See "bzr help launchpad-login".
Branched 1844 revision(s).                                                                                                    
==> BZR checkout done or server timeout
patching file util/grub.d/10_linux.in
/tmp/yaourt-tmp-emilio/aur-burg-bzr/./PKGBUILD: line 48: ./autogen.sh: Permission denied
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Makepkg was unable to build burg-bzr.

Last edited by eherranzr (2011-06-29 15:24:08)

Offline

#18 2011-06-29 20:14:35

falconindy
Developer
From: New York, USA
Registered: 2009-10-22
Posts: 4,095
Website

Re: Problem installing or upgrading with Yaourt

Post the output of findmnt. There's no reason that /tmp should behave differently if it really is part of the same partition as /.

Offline

#19 2011-06-29 21:28:36

eherranzr
Member
Registered: 2011-06-28
Posts: 112

Re: Problem installing or upgrading with Yaourt

falconindy wrote:

Post the output of findmnt. There's no reason that /tmp should behave differently if it really is part of the same partition as /.

$ findmnt
TARGET                            SOURCE           FSTYPE               OPTIONS
/                                 /dev/sda5        ext4                 rw,relatime,user_xattr,acl,barrier=1,data=ordered
├─/proc                           proc             proc                 rw,nosuid,nodev,noexec,relatime
├─/sys                            sys              sysfs                rw,nosuid,nodev,noexec,relatime
│ └─/sys/fs/fuse/connections      fusectl          fusectl              rw,relatime
├─/dev                            udev             devtmpfs             rw,nosuid,relatime,size=10240k,nr_inodes=385092,mode=75
│ └─/dev                                           tmpfs                rw,relatime,mode=755
│   ├─/dev/pts                    devpts           devpts               rw,relatime,mode=600,ptmxmode=000
│   └─/dev/shm                    shm              tmpfs                rw,nosuid,nodev,relatime
├─/run                            run              tmpfs                rw,nosuid,nodev,noexec,relatime,size=10240k,mode=755
├─/home                           /dev/sda7        ext4                 rw,relatime,user_xattr,acl,barrier=1,data=ordered
│ ├─/home/emilio/.gvfs            gvfs-fuse-daemon fuse.gvfs-fuse-daemo rw,nosuid,nodev,relatime,user_id=1000,group_id=100
│ └─/home/emilio/wuala/WualaDrive javafs           fuse.javafs          rw,nosuid,nodev,relatime,user_id=1000,group_id=100
└─/tmp                            tmpfs            tmpfs                rw,nosuid,noexec,relatime

Offline

#20 2011-06-29 21:33:54

karol
Archivist
Registered: 2009-05-06
Posts: 25,431

Re: Problem installing or upgrading with Yaourt

└─/tmp                            tmpfs            tmpfs                rw,nosuid,noexec,relatime

https://bbs.archlinux.org/viewtopic.php … 07#p954807
Well, yeah, it is noexec.

Offline

#21 2011-06-29 22:09:41

falconindy
Developer
From: New York, USA
Registered: 2009-10-22
Posts: 4,095
Website

Re: Problem installing or upgrading with Yaourt

This is why we can't have nice things.

Offline

#22 2011-06-30 09:00:45

eherranzr
Member
Registered: 2011-06-28
Posts: 112

Re: Problem installing or upgrading with Yaourt

Wow guys you are amazing. We (you tongue ) found the problem. Now it's the final step, how do I solve the noexec problem in /tmp?

Last edited by eherranzr (2011-06-30 09:06:30)

Offline

#23 2011-06-30 11:39:12

karol
Archivist
Registered: 2009-05-06
Posts: 25,431

Re: Problem installing or upgrading with Yaourt

Start by removing 'noexec' from mount options.
Some info about tmpfs is just a click away, in our beloved wiki: https://wiki.archlinux.org/index.php/Fstab#tmpfs

Offline

#24 2011-06-30 12:33:14

eherranzr
Member
Registered: 2011-06-28
Posts: 112

Re: Problem installing or upgrading with Yaourt

I have removed noexec fron fstab and that was the problem, what a stupid thing
Thank you

Last edited by eherranzr (2011-06-30 14:37:28)

Offline

#25 2011-11-03 18:02:31

xuedi
Member
From: Beijing
Registered: 2011-02-28
Posts: 6

Re: Problem installing or upgrading with Yaourt

Awesome post, thanks a lot guys. I went nuts because of the permission errors.

@karol: i fought i speed up my system a bit by moving /tmp to tmpfs after the wiki, but i did not know that yaourt is compiling happly in /tmp

Offline

Board footer

Powered by FluxBB